searchData={"items":[{"type":"extras","doc":"# mcp-proxy\n\nAn Elixir escript for connecting STDIO based MCP clients to HTTP (SSE) based MCP servers.\n\nNote: At the moment this only works with MCP servers that use the `2024-11-05` specification.","title":"mcp-proxy","ref":"readme.html"},{"type":"extras","doc":"```bash\n$ mix escript.install hex mcp_proxy\n```\n\nThe escript is installed into your HOME's `.mix` directory: `/path/to/home/.mix/escripts/mcp-proxy`.","title":"Installation - mcp-proxy","ref":"readme.html#installation"},{"type":"extras","doc":"If you have an SSE MCP server available at `http://localhost:4000/tidewave/mcp`, a client like Claude Desktop would then be configured as follows.","title":"Usage - mcp-proxy","ref":"readme.html#usage"},{"type":"extras","doc":"You will also need to know the location of the `escript` executable, so run `which escript` before to get the value of \"path/to/escript\":\n\n```json\n{\n  \"mcpServers\": {\n    \"my-server\": {\n      \"command\": \"/path/to/escript\",\n      \"args\": [\"/$HOME/.mix/escripts/mcp-proxy\", \"http://localhost:4000/tidewave/mcp\"]\n    }\n  }\n}\n```\n\nRemember to replace `$HOME` by your home directory, such as \"/Users/johndoe\".","title":"On macos/Linux - mcp-proxy","ref":"readme.html#on-macos-linux"},{"type":"extras","doc":"```json\n{\n  \"mcpServers\": {\n    \"my-server\": {\n      \"command\": \"escript.exe\",\n      \"args\": [\"c:\\$HOME\\.mix\\escripts\\mcp-proxy\", \"http://localhost:4000/tidewave/mcp\"]\n    }\n  }\n}\n```\n\nRemember to replace `$HOME` by your home directory, such as \"c:\\Users\\johndoe\".","title":"On Windows - mcp-proxy","ref":"readme.html#on-windows"},{"type":"extras","doc":"`mcp-proxy` either accepts the SSE URL as argument or using the environment variable `SSE_URL`. For debugging purposes, you can also pass `--debug`, which will log debug messages on stderr.\n\nOther supported flags:\n\n* `--max-disconnected-time` the maximum amount of time for trying to reconnect while disconnected. When not set, defaults to infinity.\n* `--receive-timeout` the maximum amount of time to wait for an individual reply from the MCP server in milliseconds. Defaults to 60000 (60 seconds).","title":"Configuration - mcp-proxy","ref":"readme.html#configuration"},{"type":"extras","doc":"# Changelog","title":"Changelog","ref":"changelog.html"},{"type":"extras","doc":"* Bug fixes\n  * Ignore SSE comment lines\n  * Handle notifications while the server is disconnected","title":"0.3.3 (2025-05-02) - Changelog","ref":"changelog.html#0-3-3-2025-05-02"},{"type":"extras","doc":"* Bug fixes\n  * Allow relative URLs in MCP endpoint event\n  * Try to parse any event type, not only `message`","title":"0.3.2 (2025-04-29) - Changelog","ref":"changelog.html#0-3-2-2025-04-29"},{"type":"extras","doc":"* Enhancements\n  * add configurable `--receive-timeout` for POST requests (defaults to 60 seconds).\n    Note: the proxy will reply to the MCP request with an error response and discard\n    the real response if it arrives after the timeout. Previously, POST requests timed\n    out after 15 seconds.","title":"0.3.1 (2025-04-26) - Changelog","ref":"changelog.html#0-3-1-2025-04-26"},{"type":"extras","doc":"* Enhancements\n  * Automatically try to reconnect when the SSE connection closes.\n    This can be adjusted by setting the `--max-disconnected-time` parameter,\n    which defines the number of seconds the proxy tries to reconnect. By default, it retries\n    indefinitely. To close the proxy on disconnect, this value can be set to `0`.\n  * Notice: in order to support reconnects, the proxy transparently rewrites the IDs of\n    received and sent JSON ID messages.","title":"0.3.0 (2025-04-23) - Changelog","ref":"changelog.html#0-3-0-2025-04-23"},{"type":"extras","doc":"* API adjustments\n  * the escript is called `mcp-proxy` instead of `mcp_proxy` now\n  * remove `--url` flag and use first argument instead: `mcp-proxy http://localhost:4000/tidewave/mcp`\n* Bug fixes:\n  * ensure script terminates early when SSE connection closes","title":"0.2.0 (2025-04-22) - Changelog","ref":"changelog.html#0-2-0-2025-04-22"},{"type":"extras","doc":"Initial release.","title":"0.1.0 (2025-04-14) - Changelog","ref":"changelog.html#0-1-0-2025-04-14"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}